Skip to main content
POST
/
v1
/
deepresearch
/
batches
/
{id}
/
cancel
Cancel a batch
curl --request POST \
  --url https://api.valyu.ai/v1/deepresearch/batches/{id}/cancel \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.valyu.ai/v1/deepresearch/batches/{id}/cancel"

headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.valyu.ai/v1/deepresearch/batches/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "batch_id": "batch_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "status": "cancelled",
  "cancelled_count": 3
}
{
"success": false,
"error": "Invalid request parameters"
}
{
"success": false,
"error": "Invalid API key"
}
{
"success": false,
"error": "Task not found"
}
{
"success": false,
"error": "Internal server error. Please try again later."
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at platform.valyu.ai.

Path Parameters

id
string
required

Batch ID.

Response

Batch cancelled.

batch_id
string
required

ID of the cancelled batch.

Example:

"batch_a1b2c3d4-e5f6-7890-abcd-ef1234567890"

status
enum<string>
required

Batch status after cancellation.

Available options:
cancelled
Example:

"cancelled"

cancelled_count
integer
required

Number of tasks cancelled.

Example:

3